@import "tailwindcss";

@theme {
  --breakpoint-xs: 576px;
  --breakpoint-sm: 768px;
  --breakpoint-md: 992px;
  --breakpoint-lg: 1200px;
  --breakpoint-xl: 1440px;
  --breakpoint-2xl: 1720px;
  --breakpoint-3xl: 1920px;
}

:root {
  --background: #ffffff;
  --foreground: #171717;
}

@theme inline {
  --color-background: var(--background);
  --color-foreground: var(--foreground);
  --font-sans: var(--font-geist-sans);
  --font-mono: var(--font-geist-mono);
}

/* 
@media (prefers-color-scheme: dark) {
  :root {
    --background: #0a0a0a;
    --foreground: #ededed;
  }
} */

body {
  background: var(--background);
  color: var(--foreground);
  font-family: var(--font-figtree), sans-serif;
}

html,
body {
  overflow-x: clip;
}

.grecaptcha-badge {
  visibility: visible !important;
  opacity: 1 !important;
  display: block !important;
  z-index: 999999 !important;
}

.montserrat {
  font-family: var(--font-montserrat), sans-serif;
}

.figtree {
  font-family: var(--font-figtree), sans-serif;
}

.aeonik {
  font-family: var(--font-aeonik), sans-serif;
}

.walsheim {
  font-family: var(--font-walsheim), sans-serif;
}

.outfit {
  font-family: var(--font-outfit), sans-serif;
}

@keyframes marquee {
  0% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(-50%);
  }
}

.marquee-track {
  animation: marquee 35s linear infinite;
}

.marquee-track:hover {
  animation-play-state: running;
}

.success-slider {
  overflow-x: auto;
  scrollbar-width: thin;
  scrollbar-color: transparent transparent;
}

.success-slider::-webkit-scrollbar {
  height: 2px;
}

.success-slider::-webkit-scrollbar-track {
  background: transparent;
}

.success-slider::-webkit-scrollbar-thumb {
  background: transparent;
  transition: background 0.3s;
}

.success-slider:hover::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.4);
}

.success-slider:hover {
  scrollbar-color: rgba(0, 0, 0, 0.4) transparent;
}

.security-card {
  position: relative;
  border-radius: 26px;
  background: white;
  overflow: hidden;
}

/* Left Arc */
.security-card::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;

  width: 40px;
  height: 40px;

  background: #efefe6;
  box-shadow: -34px -34px 0 30px #efefe6;
  border-radius: 50%;
}

.security-card::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;

  width: 40px;
  height: 40px;

  background: #efefe6;
  box-shadow: 30px -30px 0 26px #efefe6;
  border-radius: 50%;
}